﻿Option Strict On
Imports System.IO

Public Class ImageInfo
    Property OutRoomTime As String
    Property ImageName As String
End Class
Public Class DataShowWindow
    Private Sub DataShowWindow_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        ListBox1.Items.Clear()
        Dim dir As String = Environment.GetFolderPath(Environment.SpecialFolder.MyPictures)
        Dim fileDir As String = Path.Combine(dir, "KINECT")
        Dim xmldoc As XElement = XElement.Load(Path.Combine(fileDir, "ImageFileList.xml"))
        Dim myImageInfo As New List(Of ImageInfo)
        For Each result In From c In xmldoc.Descendants("情報") Select c.<画像名>.Value Distinct
            If File.Exists(Path.Combine(fileDir, result)) = True Then
                With myImageInfo
                    .Add(New ImageInfo With {.OutRoomTime = Path.GetFileNameWithoutExtension(result),
                                            .ImageName = Path.Combine(fileDir, result)})
                End With
            End If
        Next
        ListBox1.ItemsSource = myImageInfo
    End Sub
End Class
